Overview Features Coding Performance Forum Downloads Products OrderV4 Contact

Welcome to the Apollo Forum

This forum is for people interested in the APOLLO CPU.
Please read the forum usage manual.



All TopicsNewsPerformanceGamesDemosApolloVampireAROSWorkbenchATARIReleases
Questions and Answers for AMIGA Workbench or Coffin

AmigaOS 3.2 On Vampire V2page  1 2 

Carlos Milán

Posts 95
26 May 2021 23:11


Simple question: does the recently released Amiga OS 3.2 play nice with Vampire V2 accelerators? Anything I should be aware of if I try?


Sean Sk

Posts 421
27 May 2021 00:19


I haven't got a copy of it yet, although I do intend to eventually. But the experience shouldn't be all that much different to AmigaOS 3.1.4 on the V2, which has been running without any issues on the V600 V2 and V1200 V2 accelerators that I have.
Renaud did an excellent video showing AmigaOS 3.2 being installed on a V4 Standalone as shown here:
 
EXTERNAL LINK   
So things should be similar on a V2.


Carlos Milán

Posts 95
29 May 2021 20:39


Thank you :)


Nikos Pagonis

Posts 93
30 May 2021 18:18


Just got my Amiga OS 3.2 and testing it on my V1200. Only thing i found that doesnt work so far is the "SDMountOnOff" tool. It freezes and gurus the amiga straight away and every single time.
Also found that Peter K icon library runs a lot better and displays icons a lot crispier and colourful. Other than that it works great.


Renaud Schweingruber
(Apollo Team Member)
Posts 355
31 May 2021 20:37


GiggleDisk tool seems to have problems with 3.1.4 and 3.2.


Nikos Pagonis

Posts 93
31 May 2021 22:55


Renaud Schweingruber wrote:

  GiggleDisk tool seems to have problems with 3.1.4 and 3.2.
 

 
  Thanks for that Renaud. Just discovered after trying many things that reverting to the previous version of sagasd.device (0.12), the tool works again. It was the last version 0.13 from latest sagadrivers 2.6.1 that was causing the issue. Just thought letting people know.


10MARC Tuc

Posts 2
06 Jun 2021 00:31


I have run into an issue when upgrading two of my Vampire V2's to AmigaOS 3.1 -  On my A1000 I flashed the 3.2 ROM to my Vampire first and tried to boot up my 3.1.4 install to do the upgrade from there - and it would not boot any longer - it gave my library errors. So in this case, do the upgrade using a flashed 3.1.4 ROM and then use VampireFlash to update the ROM to 3.2 after the software upgrade.
On both my A1000 and A500 Vampires, I would get a Guru on Setpatch on every single boot. Commenting out Setpatch solved it, and both are rock solid, but I suspect that maybe I will be missing a few key updates without Setpatch. This weekend I will be doing a fresh install and see if anything changes.


Stefano Briccolani

Posts 576
06 Jun 2021 07:59


Hi Doug, glad to see you here. I'm investigating on some issues too
You can join us on Discord.
EXTERNAL LINK 


Nikos Pagonis

Posts 93
06 Jun 2021 18:52


On my V1200, CF card 4GB with PFS 19.2, Clean install 3.2 and mapping the roms, runs absolutely fine and rock solid.CF card was prepared on my pc and partitioned. Then also installed 3.2 in winuae with 3.2 roms, then copied vampiremap and the 3.2 rom in the system, updated the SS and moved to Amiga with the V1200.


Cego 1200

Posts 42
06 Jun 2021 19:15


Runs fine with V1200. I have a fully customized OS3.2 running with P96, Indivision AGA MK3 running.


Pedro Cotter
(Apollo Team Member)
Posts 300
07 Jun 2021 08:16


im able to mount Sds just by replacing "L:fat95" to "L:CrossdosFileSystem" in the SD mount files
no need for fat95 on 3.2


Puig Thierry

Posts 6
07 Jun 2021 08:51


Hello, or did you find Sagasd version 0.12, I found version 0.13 that does not work under OS3.2 and in the V2.5.1 archive
was 0.9 version of Sagasd (which does not work either).


Edgar Fink

Posts 36
08 Jun 2021 21:57


Interestingly I found that VampireMap is not needed with AmigaOS 3.2. It seems that LoadModule ROMUPDATE in the Startup-Sequence does the job.


Nikos Pagonis

Posts 93
08 Jun 2021 23:08


Edgar Fink wrote:

  Interestingly I found that VampireMap is not needed with AmigaOS 3.2. It seems that LoadModule ROMUPDATE in the Startup-Sequence does the job.
 

 
  Really? And where does it get the 3.2 modules to update the rom from? How does it work? Did you check that all modules are the updated 3.2 ones?


Stephen A.

Posts 24
09 Jun 2021 07:07


puig thierry wrote:

Hello, or did you find Sagasd version 0.12, I found version 0.13 that does not work under OS3.2 and in the V2.5.1 archive
  was 0.9 version of Sagasd (which does not work either).

2.6.1 sagasd.device didn't work for me... rtg/picasso worked ok, but my sdcard was "uninitialized"

2.5.1 seems to be working ok though, as far as basic sdcard and rtg goes anyway. i don't use the sdonoff giggledisk etc, so not tried those


Stephen A.

Posts 24
09 Jun 2021 07:12


Pedro Cotter wrote:

im able to mount Sds just by replacing "L:fat95" to "L:CrossdosFileSystem" in the SD mount files
  no need for fat95 on 3.2

i tried that ^... it seems to work for the sdcard, although it mounts slowly... if you try to mount a pcmcia cf card like that it doesn't work, you get prompted for something like 'insert msdos5 disk' or something.

i'd prob stick with fat95 unless you're in a pinch and have no other option



Tryggve Knutsson

Posts 15
09 Jun 2021 15:33


Hi!

Just some info. I just installed 3.2 (upgrade from 3.1.4) on my A600 and A1200. Both have V2 cards. On the A600 (Core 2.12) I got the same problems with sagasd 2.6.1 and had to rollback to 2.5.1, but on the A1200 (Core 2.13) it worked with 2.6.1.


Angelo C

Posts 7
10 Jun 2021 02:56


I installed OS 3.2 on my A2000 with v500+ v2 last night.
My  experience:

All works fine with mapped (vampiremap) A1200 3.2 rom with the exception of setpatch - it gurus the system.

 

 


Stephen A.

Posts 24
10 Jun 2021 08:06


Tryggve Knutsson wrote:

Hi!
 
  Just some info. I just installed 3.2 (upgrade from 3.1.4) on my A600 and A1200. Both have V2 cards. On the A600 (Core 2.12) I got the same problems with sagasd 2.6.1 and had to rollback to 2.5.1, but on the A1200 (Core 2.13) it worked with 2.6.1.

according to the changelog the 2.6.x sd driver requires gold 2.13...

Changelog wrote:

[2.6]
* Added AHI driver for ARNE (16-bit audio on V4)
* Updated VControl to 1.18
    * Support for V4 joypads on AmigaOS
* Updated Picasso96 driver to 1.39
    * Support for more V4 resolutions
    * Minor bugfixes
* Updated SAGA SD driver to 0.13
    * Improved speed for V4 and V2 (req. GOLD2.13)




Tryggve Knutsson

Posts 15
10 Jun 2021 16:25


Could be, but my interpretation was that 2.13 was needed for improved speed. Not that 2.13 was needed for it to work at all. Misunderstanding in that case.

posts 29page  1 2